### Signal

# Gtk GesturePan::pan

since: 4.0

#### Declaration

    void
    pan (
      GtkGesturePan* self,
      GtkPanDirection* direction,
      gdouble offset,
      gpointer user_data
    )

#### Description [src]

Emitted once a panning gesture along the expected axis is detected.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`direction`

  Type: `GtkPanDirection`

  Current direction of the pan gesture.

  The data is owned by the caller of the function.

`offset`

  Type: `gdouble`

  Offset along the gesture orientation.